# Automatically generated file. DO NOT MODIFY
#
# This file is generated by vendor/gms/setup-makefiles.sh

PRODUCT_SOONG_NAMESPACES += \
    vendor/gms/common

# Android Build system uncompresses DEX files (classes*.dex) in the privileged
# apps by default, which breaks APK v2/v3 signature. Because some privileged
# GMS apps are still shipped with compressed DEX, we need to disable
# uncompression feature to make them work correctly.
DONT_UNCOMPRESS_PRIV_APPS_DEXS := true

# Gapps shipped with AOSP variant
PRODUCT_PACKAGES += \
    DeviceIntelligenceNetworkPrebuilt \
    DevicePersonalizationPrebuiltPixel2020

PRODUCT_COPY_FILES += \
    vendor/gms/common/proprietary/etc/permissions/privapp-permissions-google-system.xml:$(TARGET_COPY_OUT_SYSTEM)/etc/permissions/privapp-permissions-google-system.xml \
    vendor/gms/common/proprietary/etc/sysconfig/google-hiddenapi-package-allowlist.xml:$(TARGET_COPY_OUT_SYSTEM)/etc/sysconfig/google-hiddenapi-package-allowlist.xml \
    vendor/gms/common/proprietary/product/etc/default-permissions/default-permissions-google.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/default-permissions/default-permissions-google.xml \
    vendor/gms/common/proprietary/product/etc/default-permissions/default-permissions_com.google.android.deskclock.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/default-permissions/default-permissions_com.google.android.deskclock.xml \
    vendor/gms/common/proprietary/product/etc/permissions/privapp-permissions-google-comms-suite.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/privapp-permissions-google-comms-suite.xml \
    vendor/gms/common/proprietary/product/etc/permissions/privapp-permissions-google-p.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/privapp-permissions-google-p.xml \
    vendor/gms/common/proprietary/product/etc/permissions/privapp-permissions-google-product.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/privapp-permissions-google-product.xml \
    vendor/gms/common/proprietary/product/etc/permissions/split-permissions-google.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/split-permissions-google.xml \
    vendor/gms/common/proprietary/product/etc/preferred-apps/google.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/preferred-apps/google.xml \
    vendor/gms/common/proprietary/product/etc/security/fsverity/play_store_fsi_cert.der:$(TARGET_COPY_OUT_PRODUCT)/etc/security/fsverity/play_store_fsi_cert.der \
    vendor/gms/common/proprietary/product/etc/security/fsverity/gms_fsverity_cert.der:$(TARGET_COPY_OUT_PRODUCT)/etc/security/fsverity/gms_fsverity_cert.der \
    vendor/gms/common/proprietary/product/etc/sysconfig/game_service.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/game_service.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/google.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/google.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/google_build.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/google_build.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/nexus.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/nexus.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_2016_exclusive.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_2016_exclusive.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2017.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2017.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2018.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2018.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2019.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2019.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2019_midyear.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2019_midyear.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2020.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2020.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/pixel_experience_2020_midyear.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/pixel_experience_2020_midyear.xml \
    vendor/gms/common/proprietary/product/etc/sysconfig/wellbeing.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/sysconfig/wellbeing.xml \
    vendor/gms/common/proprietary/system_ext/etc/permissions/privapp-permissions-google-system-ext.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/privapp-permissions-google-system-ext.xml

ifndef GAPPS_BASIC
    ifndef GAPPS_CORE
        GAPPS_FULL := true
    endif # GAPPS_CORE
endif # GAPPS_BASIC

ifeq ($(strip $(GAPPS_FULL)), true)
    GAPPS_BASIC ?= true
else
    GAPPS_BASIC ?= false
endif

ifeq ($(strip $(GAPPS_BASIC)), true)
    GAPPS_CORE ?= true
else
    GAPPS_CORE ?= false
endif

ifeq ($(strip $(GAPPS_CORE)), true)
    ifeq ($(strip $(GAPPS_FULL)), true)
        GAPPS_EXTRA := true
    else
        GAPPS_EXTRA ?= false
    endif # GAPPS_FULL
endif # GAPPS_CORE

PRODUCT_PACKAGES += \
    AndroidPlatformServices \
    ConfigUpdater \
    GmsCore \
    GoogleLocationHistory \
    GoogleOneTimeInitializer \
    GoogleRestore \
    GoogleServicesFramework \
    Phonesky

ifeq ($(strip $(GAPPS_EXTRA)), true)
PRODUCT_COPY_FILES += \
    vendor/gms/common/proprietary/product/app/Chrome/Chrome.apk.gz:$(TARGET_COPY_OUT_PRODUCT)/app/Chrome/Chrome.apk.gz \
    vendor/gms/common/proprietary/product/app/TrichromeLibrary/TrichromeLibrary.apk.gz:$(TARGET_COPY_OUT_PRODUCT)/app/TrichromeLibrary/TrichromeLibrary.apk.gz \
    vendor/gms/common/proprietary/product/app/WebViewGoogle/WebViewGoogle.apk.gz:$(TARGET_COPY_OUT_PRODUCT)/app/WebViewGoogle/WebViewGoogle.apk.gz

PRODUCT_PACKAGES += \
    Chrome-Stub \
    LatinImeGoogle \
    Photos \
    SetupWizardPrebuilt \
    TrichromeLibrary-Stub \
    WebViewGoogle-Stub
endif

ifeq ($(strip $(GAPPS_BASIC)), true)
PRODUCT_PACKAGES += \
    CarrierServices \
    DeskClockGoogle \
    Wellbeing

TARGET_USE_GOOGLE_TELEPHONY := true
endif

ifeq ($(strip $(GAPPS_FULL)), true)
PRODUCT_PACKAGES += \
    AndroidAutoStub \
    CalendarGoogle \
    EmergencyInfoGoogleNoUi \
    FilesPrebuilt \
    Flipendo \
    GoogleExtShared \
    GoogleFeedback \
    GooglePackageInstaller \
    GooglePartnerSetup \
    GooglePrintRecommendationService \
    MarkupGoogle \
    SafetyHubPrebuilt \
    ScribePrebuilt \
    SecurityHubPrebuilt \
    SoundAmplifierPrebuilt \
    SoundPickerPrebuilt \
    SpeechServicesByGoogle \
    Turbo \
    Velvet \
    WallpaperEmojiPrebuilt \
    talkback

BUILD_GMAIL := true
BUILD_GCALC := true
endif # AFTERLIFE_CORE

ifeq ($(TARGET_USE_GOOGLE_TELEPHONY),true)
PRODUCT_PACKAGES += \
    GoogleContacts \
    GoogleDialer \
    Messages \
    com.google.android.dialer.support

PRODUCT_COPY_FILES += \
    vendor/gms/common/proprietary/product/etc/permissions/com.google.android.dialer.support.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/com.google.android.dialer.support.xml

TARGET_SUPPORTS_CALL_RECORDING ?= true
endif

ifeq ($(TARGET_SUPPORTS_GOOGLE_RECORDER), true)
PRODUCT_PACKAGES += \
    RecorderPrebuilt

endif

# Call recording on Google Dialer
ifeq ($(TARGET_SUPPORTS_CALL_RECORDING),true)
PRODUCT_PACKAGES += \
    com.google.android.apps.dialer.call_recording_audio.features

PRODUCT_COPY_FILES += \
    vendor/gms/common/proprietary/product/etc/permissions/com.google.android.apps.dialer.call_recording_audio.features.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/com.google.android.apps.dialer.call_recording_audio.features.xml

endif

# arcore
ifeq ($(TARGET_INCLUDE_STOCK_ARCORE),true)
PRODUCT_PACKAGES += \
    arcore
endif

# QuickPic
ifeq ($(TARGET_USE_QUICKPIC),true)
PRODUCT_PACKAGES += \
    Quickpic
endif

# MotoCalculator
ifeq ($(TARGET_USE_MOTO_CALCULATOR),true)
PRODUCT_PACKAGES += \
    MotoCalculator
endif

# Gmail
ifeq ($(strip $(BUILD_GMAIL)), true)
PRODUCT_PACKAGES += \
    Gmail2
endif

# GalleryGo
ifeq ($(strip $(BUILD_GALLERYGO)), true)
PRODUCT_PACKAGES += \
    GalleryGo
endif

# CAlculator
ifeq ($(strip $(BUILD_GCALC)), true)
PRODUCT_PACKAGES += \
    CalculatorGoogle
endif


PRODUCT_ARTIFACT_PATH_REQUIREMENT_ALLOWED_LIST += \
    system/app/GoogleExtShared/GoogleExtShared.apk \
    system/app/GoogleExtShared/oat/% \
    system/priv-app/GooglePackageInstaller/GooglePackageInstaller.apk \
    system/priv-app/GooglePackageInstaller/oat/% \
    system/app/GooglePrintRecommendationService/GooglePrintRecommendationService.apk \
    system/app/GooglePrintRecommendationService/oat/% \
    system/etc/permissions/privapp-permissions-google-system.xml \
    system/etc/sysconfig/google-hiddenapi-package-allowlist.xml

# GAPPS
include vendor/gms/common/gapps.mk
